#
# spec file for package lndir
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lndir
Version:        1.0.4
Release:        1.5
Summary:        Utility to create a shadow directory of symbolic links to another directory tree
License:        MIT
Group:          Development/Tools/Building
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11-util-devel package up to version 7.6
Conflicts:      xorg-x11-util-devel <= 7.6

%description
The lndir program makes a shadow copy of a directory tree, except that
the shadow is not populated with real files but instead with symbolic
links pointing at the real files in the original directory tree.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/lndir
%{_mandir}/man1/lndir.1%{?ext_man}

%changelog
* Mon Dec  5 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.4
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * gitlab CI: add a basic build test
  * Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters
  * gitlab CI: stop requiring Signed-off-by in commits
  * constify a couple more function arguments
  * Mark global variables as static
  * Fix -Wshorten-64-to-32 warnings from clang
  * Fix -Wsign-conversion warning from clang
  * Reduce number of strcmp calls to check directory names for revision control
  * Use memmove instead of strcpy for overlapping strings
  * Use strlcat and strlcpy if available
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Sun May 16 2021 Dirk Müller <dmueller@suse.com>
- modernize spec file (move license to licensedir)
* Fri Apr 13 2012 vuntz@opensuse.org
- Split lndir from xorg-x11-util-devel. Initial version: 1.0.3.
